command: {config, ...}: let
  user = config.user;
in {
  services.greetd = {
    enable = true;
    settings = {
      default_session = {
        inherit command;
        user = user;
      };
    };
  };
}
